Skip to main content
GET
/
discounts
/
redemptions
/
v1
Retrieve redemptions
curl --request GET \
  --url https://api.spacebring.com/discounts/redemptions/v1 \
  --header 'Authorization: Basic <encoded-value>'
{
  "redemptions": [
    {
      "coupon": {
        "amountOff": 123,
        "currencyCode": "<string>",
        "enabledForCredits": true,
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "limitedItems": {
          "enabled": true,
          "values": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "title": "<string>"
            }
          ]
        },
        "limitedRedemption": {
          "enabled": true,
          "usage": 123,
          "value": 123
        },
        "percentOff": 123,
        "type": "creditPackages"
      },
      "createDate": "2023-11-07T05:31:56Z",
      "customer": {
        "id": "<string>",
        "title": "<string>",
        "type": "person",
        "user": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "photoUrl": "<string>",
          "surname": "<string>"
        }
      },
      "locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "product": {
        "bookingRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "creditPackageRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "eventTicketRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "optionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "orderRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "subscriptionItemRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>",
        "type": "booking"
      },
      "promocode": {
        "code": "<string>",
        "expiration": {
          "date": "2023-11-07T05:31:56Z",
          "enabled": true
        },
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "limitByFirstPurchase": true,
        "limitedRedemption": {
          "enabled": true,
          "usage": 123,
          "value": 123
        }
      },
      "promocodeRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "searchQueryNext": "<string>"
}

Authorizations

Authorization
string
header
required

See our authentication documentation for how to authorize your requests

Headers

spacebring-network-id
string<uuid>

The id of the network. Required when using bearer token authentication

Query Parameters

couponRef
string<uuid>

The id of the coupon. Either couponRef or promocodeRef is required

promocodeRef
string<uuid>

The id of the promocode. Either couponRef or promocodeRef is required

limit
integer<int64>
default:25

The number of items to return

Required range: 1 <= x <= 100
nextPageToken
string

nextPageToken retrieved from a previous request

Response

Success

redemptions
object[]
searchQueryNext
string